gtk-options(7)

NAME
gtk-options - Standard Command Line Options for GTK+ Programs

SYNOPSIS
program [standard options] [specific options] arguments

DESCRIPTION
This manual page describes the command line options, which are common to all GTK+ based applications.

OPTIONS

  GTK+ OPTIONS

--gtk-module=MODULE
    Load an additional Gtk module.

--gtk-debug=FLAGS
    A colon separated list of GTK+ debugging flags to set. Valid flags are objects, misc, signals, dnd, and plugsocket. The special value all enables all flags.

--gtk-no-debug=FLAGS
    GTK+ debugging flags to unset. Use this options to override the GTK_DEBUG environment variable.

--g-fatal-warnings
    Make all warnings fatal.

  GDK OPTIONS

--display=DISPLAY
    Set the X display to use. Use this option to override the DISPLAY environment variable.

--screen=SCREEN
    X screen to use. Use this options to override the screen part of the DISPLAY environment variable (see the DISPLAY NAMES section of the X(7x) manual page).

--sync
    Make X calls synchronous. This slows down the program considerably, but may be useful for debugging purposes.

--no-xshm
    Do not use the X server's XSHM shared memory extension. This slows down the program.

--name=NAME
    Program name as used by the window manager.

--class=CLASS
    Program class as used by the window manager.

--gxid_host=HOST

--gxid_port=PORT

--xim-preedit

--xim-status
    Control the X input method.

--gdk-debug=FLAGS
    A colon-separated list of GDK debugging flags to set. This only works if your GDK library was compile with debugging support. Valid flags are events, misc, dnd, color-context, and xim. The special value all enables all valid flags.

--gdk-no-debug=FLAGS
    A colon-separated list of GDK debugging flags to unset. Use this options to override the GDK_DEBUG environment variable.

SEE ALSO
X(7x), the GTK+ documentation, and the GDK documentation.

For most GTK+ programs there will be additional command line options, which are specific to the program. These will be explained in the application's documentation.

AUTHOR
This manual page was written by Jochen Voss <voss@debian.org>.